C++ User Group - Talk #794

Templates and Meta-Programming
2014-07-22 10:35 - Kretz, Matthias

Status: Presented Start date: 2014-07-22
Priority: Normal Due date: 2014-12-17
Assignee: Pinke, Christopher % Done: 100%

Category: Estimated time: 0.00 hour

Talk Author(s): Presenter: Christopher Pinke
Description

Introduction and some overview on templates and the powerful meta-programming possibilities they open up.

templates intro: generic containers / algorithms
template specialization and partial specialization
type traits

constant expressions (constexpr)

SFINAE and std::enable_if

Related issues:
Blocks Talk #660: bringing physics units to C++
Blocks Talk #574: SFINAE, enable_if, and Concepts

New 2014-06-02
New 2014-04-30

History

#1 - 2014-07-22 10:36 - Kretz, Matthias
- Blocks Talk #660: bringing physics units to C++ added

#2 - 2014-07-22 10:37 - Kretz, Matthias
- Blocks Talk #574: SFINAE, enable_if, and Concepts added

#3 - 2014-12-05 11:00 - Kretz, Matthias
- Due date set to 2014-12-17

- Assignee set to Pinke, Christopher

#4 - 2015-01-26 11:46 - Kretz, Matthias
- Status changed from New to Presented

- % Done changed from 0 to 90

Christopher, please attach your slides if possible.

#5 - 2015-02-03 16:04 - Pinke, Christopher
- File copUserGroup_templates.pdf added
- % Done changed from 90 to 100

#6 - 2015-02-03 16:04 - Pinke, Christopher

- Presenter set to Christopher Pinke

Files
cppUserGroup_templates.pdf 193 KB 2015-02-03 Pinke, Christopher
2024-04-19 1/1



http://www.tcpdf.org

